summaryrefslogtreecommitdiffstats
path: root/scripts/windows/before_install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/windows/before_install.sh')
-rw-r--r--scripts/windows/before_install.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/windows/before_install.sh b/scripts/windows/before_install.sh
index 16a75e139..449d6a938 100644
--- a/scripts/windows/before_install.sh
+++ b/scripts/windows/before_install.sh
@@ -20,6 +20,7 @@ tar xJf ../mxe-994ad473.tar.xz
sudo mkdir -p /data/winqt551/
sudo ln -s ${TRAVIS_BUILD_DIR}/../mxe /data/winqt551/mxe-current
ls -l /data/winqt551/mxe-current/usr
+sudo ln -s ${TRAVIS_BUILD_DIR}/../mxe /usr/src/mxe
# libdivecomputer uses the wrong include path for libusb
# the pkgconfig file for libusb already gives the include path as
@@ -74,3 +75,15 @@ if ! git checkout v5.0.0 ; then
echo "can't check out v5.0.0 of grantlee -- giving up"
exit 1
fi
+
+echo "Get mdbtools"
+cd ${TRAVIS_BUILD_DIR}/..
+git clone https://github.com/brianb/mdbtools.git
+
+# get prebuilt mxe libraries for mdbtools and glib.
+# do not overwrite upstream prebuilt mxe binaries if there is any coincidence.
+wget https://www.dropbox.com/s/842skyusb96ii1u/mxe-static-minimal-994ad473.tar.xz
+[[ ! -f mxe-static-minimal-994ad473.tar.xz ]] && exit 1
+cd mxe
+tar -xJf ../mxe-static-minimal-994ad473.tar.xz --skip-old-files
+ls -al usr/